* [gentoo-commits] repo/gentoo:master commit in: sci-biology/piler/, sci-biology/piler/files/
@ 2017-03-08 22:16 David Seifert
0 siblings, 0 replies; only message in thread
From: David Seifert @ 2017-03-08 22:16 UTC (permalink / raw
To: gentoo-commits
commit: 38b011b475486566ee6ffc203fdc0c17b2cf577c
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 8 21:35:40 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Mar 8 22:16:40 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38b011b4
sci-biology/piler: Modernise to EAPI 6
Package-Manager: Portage-2.3.4, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4165
.../piler/files/piler-1.0-fix-build-system.patch | 34 +++++++++++++++++++
sci-biology/piler/piler-1.0-r1.ebuild | 38 ++++++++++++++++++++++
sci-biology/piler/piler-1.0.ebuild | 35 --------------------
3 files changed, 72 insertions(+), 35 deletions(-)
diff --git a/sci-biology/piler/files/piler-1.0-fix-build-system.patch b/sci-biology/piler/files/piler-1.0-fix-build-system.patch
new file mode 100644
index 00000000000..78a72f1b485
--- /dev/null
+++ b/sci-biology/piler/files/piler-1.0-fix-build-system.patch
@@ -0,0 +1,34 @@
+Make build system honour user variables
+
+--- a/Makefile
++++ b/Makefile
+@@ -1,6 +1,4 @@
+-CFLAGS = -O3 -march=pentiumpro -mcpu=pentiumpro -funroll-loops -Winline -DNDEBUG=1
+-LDLIBS = -lm -static
+-# LDLIBS = -lm
++LDLIBS = -lm
+
+ OBJ = .o
+ EXE =
+@@ -8,18 +6,13 @@
+ RM = rm -f
+ CP = cp
+
+-GPP = g++
+-LD = $(GPP) $(CFLAGS)
+-CPP = $(GPP) -c $(CFLAGS)
+-CC = gcc -c $(CFLAGS)
+-
+ all: piler
+
+ CPPSRC = $(sort $(wildcard *.cpp))
+ CPPOBJ = $(subst .cpp,.o,$(CPPSRC))
+
+-$(CPPOBJ): %.o: %.cpp
+- $(CPP) $< -o $@
++%.o: %.cpp
++ $(CXX) $(CXXFLAGS) -DNDEBUG $(CPPFLAGS) -c $< -o $@
+
+ piler: $(CPPOBJ)
+- $(LD) -o piler $(CPPOBJ) $(LDLIBS)
++ $(CXX) $(LDFLAGS) $(CXXFLAGS) -o piler $(CPPOBJ) $(LDLIBS)
diff --git a/sci-biology/piler/piler-1.0-r1.ebuild b/sci-biology/piler/piler-1.0-r1.ebuild
new file mode 100644
index 00000000000..276ee9bc873
--- /dev/null
+++ b/sci-biology/piler/piler-1.0-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Analysis of repetitive DNA found in genome sequences"
+HOMEPAGE="http://www.drive5.com/piler/"
+SRC_URI="http://www.drive5.com/piler/piler_source.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+ || (
+ sci-biology/muscle
+ sci-libs/libmuscle
+ )
+ sci-biology/pals"
+
+S=${WORKDIR}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.0-fix-build-system.patch
+ "${FILESDIR}"/${PN}-1.0-glibc-2.10.patch
+)
+
+src_configure() {
+ tc-export CXX
+}
+
+src_install() {
+ dobin piler
+}
diff --git a/sci-biology/piler/piler-1.0.ebuild b/sci-biology/piler/piler-1.0.ebuild
deleted file mode 100644
index 99894726d3d..00000000000
--- a/sci-biology/piler/piler-1.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="2"
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="Analysis of repetitive DNA found in genome sequences"
-HOMEPAGE="http://www.drive5.com/piler/"
-#SRC_URI="http://www.drive5.com/piler/piler_source.tar.gz"
-SRC_URI="mirror://gentoo/${P}.tar.gz"
-
-LICENSE="public-domain"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-DEPEND=""
-RDEPEND="|| ( sci-biology/muscle
- sci-libs/libmuscle )
- sci-biology/pals"
-
-S=${WORKDIR}
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-glibc-2.10.patch
-}
-
-src_compile() {
- emake GPP="$(tc-getCXX)" CFLAGS="${CXXFLAGS}" || die
-}
-
-src_install() {
- dobin piler
-}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2017-03-08 22:17 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-03-08 22:16 [gentoo-commits] repo/gentoo:master commit in: sci-biology/piler/, sci-biology/piler/files/ David Seifert
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox